Loading...
Searching...
No Matches
gx_engine::SCapture Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::SCapture:

## Public Member Functions

| SCapture (EngineControl &engine, int channel_)
| ~SCapture ()

## Public Attributes

Plugin | plugin
Public Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Private Member Functions

void | mem_alloc ()
void | mem_free ()
void | clear_state_f ()
int | activate (bool start)
int | load_ui_f (const UiBuilder &b, int form)
void | init (unsigned int samplingFreq)
void | compute (int count, float *input0, float *output0)
void | compute_st (int count, float *input0, float *input1, float *output0, float *output1)
int | register_par (const ParamReg &reg)
void | save_to_wave (SNDFILE *sf, float *tape, int lSize)
SNDFILE * | open_stream (std::string fname)
void | close_stream (SNDFILE **sf)
void | stop_thread ()
void | start_thread ()
void | disc_stream ()
std::string | get_ffilename ()

## Static Private Member Functions

static void * | run_thread (void *p)
static void | clear_state_f_static (PluginDef *)
static int | activate_static (bool start, PluginDef *)
static int | load_ui_f_static (const UiBuilder &b, int form)
static void | init_static (unsigned int samplingFreq, PluginDef *)
static void | compute_static (int count, float *input0, float *output0, PluginDef *)
static void | compute_static_st (int count, float *input0, float *input1, float *output0, float *output1, PluginDef *)
static int | register_params_static (const ParamReg &reg)
static void | del_instance (PluginDef *p)

## Private Attributes

SNDFILE * | recfile
EngineControl & | engine
int | fSamplingFreq
int | channel
float | fcheckbox0
float | fcheckbox1
float | fslider0
float | fbargraph0
float | fRecC0 [2]
float | fformat
int | IOTA
int | iA
int | savesize
int | filesize
float * | fRec0
float * | fRec1
float * | tape
sem_t | m_trig
pthread_t | m_pthr
volatile bool | keep_stream
bool | mem_allocated
bool | is_wav
bool | err
float | fConst0
float | fRecb0 [2]
int | iRecb1 [2]
float | fRecb2 [2]

## Static Private Attributes

static const char * | glade_def
static const char * | glade_def_st

## Detailed Description

Definition at line 1007 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## SCapture()

gx_engine::SCapture::SCapture | ( | EngineControl & | engine,
|  | int | channel_ )

## ~SCapture()

gx_engine::SCapture::~SCapture | ( |  | ) |

## Member Function Documentation

## activate()

int gx_engine::SCapture::activate | ( | bool | start | ) |

private

## activate_static()

int gx_engine::SCapture::activate_static | ( | bool | start,
|  | PluginDef * | )

static private

## clear_state_f()

void gx_engine::SCapture::clear_state_f | ( |  | ) |

private

## clear_state_f_static()

void gx_engine::SCapture::clear_state_f_static | ( | PluginDef * |  | ) |

static private

## close_stream()

void gx_engine::SCapture::close_stream | ( | SNDFILE ** | sf | ) |

private

## compute()

void gx_engine::SCapture::compute | ( | int | count,
|  | float * | input0,
|  | float * | output0 )

private

## compute_st()

void gx_engine::SCapture::compute_st | ( | int | count,
|  | float * | input0,
|  | float * | input1,
|  | float * | output0,
|  | float * | output1 )

private

## compute_static()

void gx_engine::SCapture::compute_static | ( | int | count,
|  | float * | input0,
|  | float * | output0,
|  | PluginDef * | )

static private

## compute_static_st()

void gx_engine::SCapture::compute_static_st | ( | int | count,
|  | float * | input0,
|  | float * | input1,
|  | float * | output0,
|  | float * | output1,
|  | PluginDef * | )

static private

## del_instance()

void gx_engine::SCapture::del_instance | ( | PluginDef * | p | ) |

static private

## disc_stream()

void gx_engine::SCapture::disc_stream | ( |  | ) |

private

## get_ffilename()

std::string gx_engine::SCapture::get_ffilename | ( |  | ) |

inline private

## init()

void gx_engine::SCapture::init | ( | unsigned int | samplingFreq | ) |

private

## init_static()

void gx_engine::SCapture::init_static | ( | unsigned int | samplingFreq,
|  | PluginDef * | )

static private

## load_ui_f()

int gx_engine::SCapture::load_ui_f | ( | const UiBuilder & | b,
|  | int | form )

private

## load_ui_f_static()

int gx_engine::SCapture::load_ui_f_static | ( | const UiBuilder & | b,
|  | int | form )

static private

## mem_alloc()

void gx_engine::SCapture::mem_alloc | ( |  | ) |

private

## mem_free()

void gx_engine::SCapture::mem_free | ( |  | ) |

private

## open_stream()

SNDFILE * gx_engine::SCapture::open_stream | ( | std::string | fname | ) |

private

## register_par()

int gx_engine::SCapture::register_par | ( | const ParamReg & | reg | ) |

private

## register_params_static()

int gx_engine::SCapture::register_params_static | ( | const ParamReg & | reg | ) |

static private

## run_thread()

void * gx_engine::SCapture::run_thread | ( | void * | p | ) |

static private

## save_to_wave()

void gx_engine::SCapture::save_to_wave | ( | SNDFILE * | sf,
|  | float * | tape,
|  | int | lSize )

private

## start_thread()

void gx_engine::SCapture::start_thread | ( |  | ) |

private

## stop_thread()

void gx_engine::SCapture::stop_thread | ( |  | ) |

private

## Member Data Documentation

## channel

int gx_engine::SCapture::channel

private

Definition at line 1012 of file gx_internal_plugins.h.

## engine

EngineControl& gx_engine::SCapture::engine

private

Definition at line 1010 of file gx_internal_plugins.h.

Referenced by SCapture().

## err

bool gx_engine::SCapture::err

private

Definition at line 1031 of file gx_internal_plugins.h.

## fbargraph0

float gx_engine::SCapture::fbargraph0

private

Definition at line 1016 of file gx_internal_plugins.h.

## fcheckbox0

float gx_engine::SCapture::fcheckbox0

private

Definition at line 1013 of file gx_internal_plugins.h.

## fcheckbox1

float gx_engine::SCapture::fcheckbox1

private

Definition at line 1014 of file gx_internal_plugins.h.

## fConst0

float gx_engine::SCapture::fConst0

private

Definition at line 1032 of file gx_internal_plugins.h.

## fformat

float gx_engine::SCapture::fformat

private

Definition at line 1018 of file gx_internal_plugins.h.

## filesize

int gx_engine::SCapture::filesize

private

Definition at line 1022 of file gx_internal_plugins.h.

## fRec0

float* gx_engine::SCapture::fRec0

private

Definition at line 1023 of file gx_internal_plugins.h.

## fRec1

float* gx_engine::SCapture::fRec1

private

Definition at line 1024 of file gx_internal_plugins.h.

## fRecb0

float gx_engine::SCapture::fRecb0[2]

private

Definition at line 1033 of file gx_internal_plugins.h.

## fRecb2

float gx_engine::SCapture::fRecb2[2]

private

Definition at line 1035 of file gx_internal_plugins.h.

## fRecC0

float gx_engine::SCapture::fRecC0[2]

private

Definition at line 1017 of file gx_internal_plugins.h.

## fSamplingFreq

int gx_engine::SCapture::fSamplingFreq

private

Definition at line 1011 of file gx_internal_plugins.h.

## fslider0

float gx_engine::SCapture::fslider0

private

Definition at line 1015 of file gx_internal_plugins.h.

## glade_def

const char* gx_engine::SCapture::glade_def

static private

Definition at line 1056 of file gx_internal_plugins.h.

## glade_def_st

const char* gx_engine::SCapture::glade_def_st

static private

Definition at line 1057 of file gx_internal_plugins.h.

## iA

int gx_engine::SCapture::iA

private

Definition at line 1020 of file gx_internal_plugins.h.

## IOTA

int gx_engine::SCapture::IOTA

private

Definition at line 1019 of file gx_internal_plugins.h.

## iRecb1

int gx_engine::SCapture::iRecb1[2]

private

Definition at line 1034 of file gx_internal_plugins.h.

## is_wav

bool gx_engine::SCapture::is_wav

private

Definition at line 1030 of file gx_internal_plugins.h.

## keep_stream

volatile bool gx_engine::SCapture::keep_stream

private

Definition at line 1028 of file gx_internal_plugins.h.

## m_pthr

pthread_t gx_engine::SCapture::m_pthr

private

Definition at line 1027 of file gx_internal_plugins.h.

## m_trig

sem_t gx_engine::SCapture::m_trig

private

Definition at line 1026 of file gx_internal_plugins.h.

## mem_allocated

bool gx_engine::SCapture::mem_allocated

private

Definition at line 1029 of file gx_internal_plugins.h.

## plugin

Plugin gx_engine::SCapture::plugin

Definition at line 1065 of file gx_internal_plugins.h.

## recfile

SNDFILE* gx_engine::SCapture::recfile

private

Definition at line 1009 of file gx_internal_plugins.h.

## savesize

int gx_engine::SCapture::savesize

private

Definition at line 1021 of file gx_internal_plugins.h.

## tape

float* gx_engine::SCapture::tape

private

Definition at line 1025 of file gx_internal_plugins.h.

Referenced by save_to_wave().

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h